Bug 1588295 - the help info of 'virsh detach-disk --print-xml' is not accurate
Summary: the help info of 'virsh detach-disk --print-xml' is not accurate
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt
Version: 7.5
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: 7.6
Assignee: Ján Tomko
QA Contact: Han Han
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-07 04:00 UTC by lijuan men
Modified: 2018-10-30 09:56 UTC (History)
7 users (show)

Fixed In Version: libvirt-4.5.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 09:55:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3113 None None None 2018-10-30 09:56:51 UTC

Description lijuan men 2018-06-07 04:00:54 UTC
Description of problem:
the help info of 'virsh detach-disk  --print-xml' is not accurate

Version-Release number of selected component (if applicable):
libvirt-4.3.0-1.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.[root@lmen ~]# virsh detach-disk --help
...
   --print-xml      print XML document rather than attach the interface
...



Actual results:
the description of "attach the interface" is not accurate



Expected results:
just like:
[root@lmen ~]# virsh change-media --help
...
--print-xml      print XML document rather than change media
...

So I think, the the help info of 'virsh detach-disk  --print-xml' should be like:
[root@lmen ~]# virsh detach-disk --help
...
   --print-xml      print XML document rather than detach the disk
...




Additional info:

Comment 3 Ján Tomko 2018-06-07 07:28:20 UTC
Fixed upstream by:
commit 4a6e17038bc1d92569c461989ec39a4e4877941f
Author:     Ján Tomko <jtomko@redhat.com>
AuthorDate: 2018-06-07 09:21:14 +0200
Commit:     Ján Tomko <jtomko@redhat.com>
CommitDate: 2018-06-07 09:21:14 +0200

    virsh: fix help for detach-disk --print-xml
    
    The help message was copied from attach-interface.
    Introduced by commit <431e736>.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1588295
    
    Signed-off-by: Ján Tomko <jtomko@redhat.com>

git describe: v4.4.0-143-g4a6e17038b

Comment 6 Han Han 2018-07-06 09:03:20 UTC
Verified on libvirt-4.5.0-1.el7.x86_64:
# virsh detach-disk --help   
  NAME
    detach-disk - detach disk device

  SYNOPSIS
    detach-disk <domain> <target> [--persistent] [--config] [--live] [--current] [--print-xml]

  DESCRIPTION
    Detach disk device.

  OPTIONS
    [--domain] <string>  domain name, id or uuid
    [--target] <string>  target of disk device
    --persistent     make live change persistent
    --config         affect next boot
    --live           affect running domain
    --current        affect current domain
    --print-xml      print XML document rather than detach the disk

Help message as expected.

Comment 7 Han Han 2018-09-05 06:12:17 UTC
Skip qe_test_coverage because it is a bug of help info not a functional bug.

Comment 9 errata-xmlrpc 2018-10-30 09:55:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3113


Note You need to log in before you can comment on or make changes to this bug.